{ config, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules
    ../../users/simon
  ];

  sbruder = {
    games.enable = true;
    gui.enable = true;
    media-proxy.enable = true;
    restic.system.enable = true;
    unfree.allowSoftware = true;
    wireguard.home.enable = true;
  };

  virtualisation.libvirtd.enable = true;

  services.tor = {
    enable = true;
    client.enable = true;
  };

  networking.hostName = "nunotaba";

  system.stateVersion = "20.03";
}
